function patchC3D8(element, node, val)
eface = [1,2,3,4; 5,6,7,8; 1,2,6,5; 2,3,7,6; 3,4,8,7; 4,1,5,8];
faces = zeros(size(element,1)*6, 4);
for i = 1:1:size(element,1)
    p = element(i,:);
    q = p(eface);
   faces((i-1)*6+1:i*6, :) = q;  
end
patch('Vertices',node,'Faces',faces,...
        'FaceVertexCData',val(:,1),...
          'FaceColor','interp','LineStyle','none');
      axis equal
      colormap(jet)
      colorbar
end